      SUBROUTINE UGMATE
      include 'geometry.inc'

C   *  define user material                                            *
C   *                                                                  *
      dimension ubuf(10)
      real a_methane(2), z_methane(2), dens_methane, wt_methane(2)
      real a_polystyr(2), z_polystyr(2), dens_polystyr, 
     + wt_polystyr(2)
      data a_methane / 1.008, 12.011 /
      data z_methane / 1., 6. /
      data wt_methane / 0.8, 0.2/
      data dens_methane / 7.79e-6 /  ! low pressure methane
      data a_polystyr / 1.008, 12.011 /
      data z_polystyr / 1., 6. /
      data wt_polystyr / 0.5, 0.5 /
      data dens_polystyr / 1.03 /

      call gsmixt(IMETH, 'low_press_methane', a_methane, z_methane,
     +  dens_methane, -2, wt_methane)    ! material 17 
      call gsmixt(ISCIN, 'POLYSTYRENE', a_polystyr, z_polystyr, 
     +  dens_polystyr, -2, wt_polystyr)  ! material 18

C Store constants of standard materials
      CALL GMATE

      END
